<?php

namespace App\Http\Controllers;

use Session;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller{

    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    protected $redirectTo = '/principal';

    public function __construct()
    {
        $this->middleware('guest')->except(['logout','/']);
    }

    public function getLogin(){
        return view('pages.auth.login');
    }

    public function username()
    {
        return 'email';
    }
}
